* MEDEG STATA COURSE 2018 
* INSTRUCTOR: Tomas Martinez
*
* TENTH LECTURE:
*				- How to organize a do-file?
*				- Example of a project
*				
* ============================================================================ *

* ============================================================================ *
* 					THIS DO FILE PERFORMS SOME GRAPHS			
* ============================================================================ *

* Housekeeping
clear
use 02_sample.dta

local ver v1

* Distribution 

local posw rwage>0 & rwage!=.
local gset graphregion(color(white)) // general settings for all graphs

graph twoway (kdensity rwage if fem==0 & `posw') (kdensity rwage if fem==1 & `posw'), ///
legend(order(1 "Male" 2 " Female"))  `gset' ytitle("Density") 
graph export "$output_path/dens_sex`ver'.png", replace
graph close

* Bar
# delimit ;
graph bar (mean) rwage if fem==1 & `posw', over(married, relabel(1 "Single" 2 "Married") ) 
`gset' ytitle("Avg. Wage")
title("Mean Wage: Married and single women");

# delimit cr
graph export "$output_path/mean_marrie`ver'.png", replace
graph close


