* MEDEG STATA COURSE 2018 
* INSTRUCTOR: Tomas Martinez
*
* TENTH LECTURE:
*				- How to organize a do-file?
*				- Example of a project
*				
* ============================================================================ *

* ============================================================================ *
* 					THIS DO FILE PERFORMS REGRESSIONS		
* ============================================================================ *


* Housekeeping
clear
use 02_sample.dta

local ver v1

* Do some regressions

// Question how the determinants of wage evolve over time

forvalues yr=2005/2009{ 

	qui reg lwage age age2 fem##educ i.race i.occ1990dd if year==`yr', r
	estimates store myreg	//. store
	outreg2 myreg using "$output_path/wage_year`ver'.xls", append label drop(i.occ1990dd) 
}

erase "$output_path/wage_year`ver'.txt"

// Question, what is the impact of having a young children at hours worked

local controls age age2 i.educ i.year i.race
local options using "$output_path/reg_hours`ver'.xls", append label drop(`controls') 

qui reg uhrsworkly `controls' married i.nchild_10 i.nchild_4 if fem==1
estimates store myreg	
outreg2 myreg `options' addtext(Sample, FEMALE)

qui reg uhrsworkly `controls' married i.nchild_4 if fem==1
estimates store myreg	
outreg2 myreg `options' addtext(Sample, FEMALE)

qui reg uhrsworkly `controls' married i.nchild_10 if fem==1
estimates store myreg	
outreg2 myreg `options' addtext(Sample, FEMALE)

qui reg uhrsworkly `controls' married##nchild_10 if fem==1
estimates store myreg	
outreg2 myreg `options' addtext(Sample, FEMALE)

qui reg uhrsworkly `controls' married i.nchild_10 if fem==0
estimates store myreg	
outreg2 myreg `options' addtext(Sample, MALE)

erase "$output_path/reg_hours`ver'.txt"
